ublas: boost::numeric::ublas::matrix_vector_slice< M > Class Template Reference

# boost::numeric::ublas::matrix_vector_slice< M > Class Template Reference

Inherits vector_expression< matrix_vector_slice< M > >.

List of all members.

## Classes

class | const_iterator
class | iterator

## Public Types

typedef M | matrix_type
typedef M::size_type | size_type
typedef M::difference_type | difference_type
typedef M::value_type | value_type
typedef M::const_reference | const_reference
typedef boost::mpl::if_ < boost::is_const< M > , typename M::const_reference, typename M::reference >::type | reference

typedef boost::mpl::if_
< boost::is_const< M >
, typename
M::const_closure_type,
typename M::closure_type >
::type

matrix_closure_type

typedef basic_range< size_type, difference_type > | range_type
typedef basic_slice< size_type, difference_type > | slice_type
typedef const self_type | const_closure_type
typedef self_type | closure_type
typedef storage_restrict_traits < typename M::storage_category, dense_proxy_tag > ::storage_category | storage_category
typedef reverse_iterator_base < const_iterator > | const_reverse_iterator
typedef reverse_iterator_base < iterator > | reverse_iterator

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_vector_slice (matrix_type &data, const slice_type &s1, const slice_type &s2)
BOOST_UBLAS_INLINE size_type | start1 () const
BOOST_UBLAS_INLINE size_type | start2 () const
BOOST_UBLAS_INLINE difference_type | stride1 () const
BOOST_UBLAS_INLINE difference_type | stride2 () const
BOOST_UBLAS_INLINE size_type | size () const
BOOST_UBLAS_INLINE const matrix_closure_type & | data () const
BOOST_UBLAS_INLINE matrix_closure_type & | data ()
BOOST_UBLAS_INLINE const_reference | operator() (size_type i) const
BOOST_UBLAS_INLINE reference | operator() (size_type i)
BOOST_UBLAS_INLINE const_reference | operator[] (size_type i) const
BOOST_UBLAS_INLINE reference | operator[] (size_type i)
BOOST_UBLAS_INLINE matrix_vector_slice & | operator= (const matrix_vector_slice &mvs)
BOOST_UBLAS_INLINE matrix_vector_slice & | assign_temporary (matrix_vector_slice &mvs)
template<class AE >
BOOST_UBLAS_INLINE matrix_vector_slice & | operator= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_vector_slice & | assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_vector_slice & | operator+= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_vector_slice & | plus_assign (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_vector_slice & | operator-= (const vector_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_vector_slice & | minus_assign (const vector_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE matrix_vector_slice & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE matrix_vector_slice & | operator/= (const AT &at)
BOOST_UBLAS_INLINE bool | same_closure (const matrix_vector_slice &mvs) const
BOOST_UBLAS_INLINE bool | operator== (const matrix_vector_slice &mvs) const
BOOST_UBLAS_INLINE void | swap (matrix_vector_slice mvs)
BOOST_UBLAS_INLINE const_iterator | find (size_type i) const
BOOST_UBLAS_INLINE iterator | find (size_type i)
BOOST_UBLAS_INLINE const_iterator | begin () const
BOOST_UBLAS_INLINE const_iterator | end () const
BOOST_UBLAS_INLINE iterator | begin ()
BOOST_UBLAS_INLINE iterator | end ()
BOOST_UBLAS_INLINE const_reverse_iterator | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator | rend () const
BOOST_UBLAS_INLINE reverse_iterator | rbegin ()
BOOST_UBLAS_INLINE reverse_iterator | rend ()

## Friends

BOOST_UBLAS_INLINE friend void | swap (matrix_vector_slice mvs1, matrix_vector_slice mvs2)

### template<class M>
class boost::numeric::ublas::matrix_vector_slice< M >